PR_SET_ENDIAN(2const)

NAME
PR_SET_ENDIAN - set endianness of the calling process

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_SET_ENDIAN, long endianness);

DESCRIPTION
Set the endianness of the calling process to the value given in endianness, which should be one of the following: PR_ENDIAN_BIG, PR_ENDIAN_LITTLE, or PR_ENDIAN_PPC_LITTLE (PowerPC pseudo little endian).

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    endianness is not a valid value.

STANDARDS
Linux. PowerPC only.

HISTORY
Linux 2.6.18 (PowerPC).

SEE ALSO
prctl(2), PR_GET_ENDIAN(2const)